Bug 698054 - [network] Mobile Broadband options not opening in Network settings
Summary: [network] Mobile Broadband options not opening in Network settings
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 698975 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-20 03:55 UTC by Elison Niven
Modified: 2012-08-07 20:19 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 20:19:31 UTC


Attachments (Terms of Use)
network: fix On/Off switch, Options button and info for Mobile Broadband (12.54 KB, patch)
2011-05-04 08:18 UTC, Jirka Klimes
no flags Details | Diff
network: fix displaying IP info to work also for static and PPP configurations (6.16 KB, patch)
2011-05-04 08:21 UTC, Jirka Klimes
no flags Details | Diff
network: fix displaying IP info to work also for static and PPP configurations (6.05 KB, patch)
2011-07-22 13:06 UTC, Jirka Klimes
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 657303 None None None Never

Description Elison Niven 2011-04-20 03:55:17 UTC
Description of problem:
Clicking on Network settings from the taskbar and then on the options button in the Mobile Broadband page does not open any other dialog.

Version-Release number of selected component (if applicable):
Fedora 15 Beta Live CD x86_64

How reproducible:
Always repeats.

Steps to Reproduce:
1. Plugin any Mobile Broadband device recognised by Fedora. You should see "attached to ttyUSB0" etc in dmesg | tail. Also /var/log/messages will say that the port will now be used by NetworkManager.
2. Open Network Settings from the taskbar and goto Mobile Broadband page. Click on options. Nothing happens ! 

  
Actual results:
An options dialog/window should open.

Expected results:
Options dialog/window does not open.

Additional info:
To connect by Wireless USB Broadband stick (Manufacturer : Huawei, Service Provider : Reliance, Country : India) I had to do it via the old network manager settings pane (that available in fedora 14). Just press super(windows logo) and type net. There are 2 results; the first is the new network manager (gnome3), the second is network connections. From the network connections, I could add a new connection, enter username password etc and then connect to the internet.

Comment 1 R. H. Topics 2011-04-23 00:16:37 UTC
This bug also occurs for Fedora-15-Beta-i686-Live-Desktop running as a Live CD.

Additional info:

Wireless USB Broadband stick:

Manufacturer: Novatel
Model: MC760
Service Provider: Virgin Mobile USA (Sprint CDMA 3G Network)
Alias: Broadband2Go
Country: USA

Tried Elison Niven's work around for setting up a Mobile Broadband connection.  Doing that allowed me to set up a connection but I could not establish a connection.

Instead, I was able to make a connection after setting up the files /etc/wvdial.conf and /etc/resolv.conf and then executing wvdial from a terminal window.

Comment 2 Pavel Šimerda (pavlix) 2011-04-23 19:46:53 UTC
The same happens in a freshly updated Fedora 15 system.

I successfuly connected after setting up connection through nm-connection-editor.

lsusb:
Bus 001 Device 009: ID 12d1:1406 Huawei Technologies Co., Ltd.

Comment 3 Aleksander Morgado 2011-04-28 15:57:40 UTC
Same here.

The modem is correctly enabled and automatically registered in the network: a new list item "Orange@" (in my case) is added after the ModemManager switch in the NM applet.
But then there is no way to tell NM to really connect to that network, as that newly created list item is not clickable.

As Pavel said, creating a new broadband connection setup with nm-connection-editor solved the issue. Once created the new connection, it is shown in the NM applet after the non-clickable one, but the new one is really clickable and will make the modem connect.

This is kind of an important bug I would say, it's completely preventing normal usage of broadband modems.

Comment 4 Pavel Šimerda (pavlix) 2011-04-28 18:39:47 UTC
Thanks Aleksander for a more precise description than I provided.

Yep, the important point is when the network information shows up but is not clickable and thus not connectable.

I cannot guess what was the autors' intention. But that also means the current system is not intuitive at all, otherwise it should be easy tu guess what & how to do.

Comment 5 Felix Möller 2011-05-01 12:39:16 UTC
I can reproduce this.

NetworkManager-0.8.998-4.git20110427.fc15.i686
ModemManager-0.4-8.git20110427.fc15.i686

Comment 6 Jirka Klimes 2011-05-04 08:16:59 UTC
The following patches implement the missing bits for Mobile Broadband in control-center. Namely, Options button opens the connection (when it's active) in editor the same way Wired, etc do. Also, On/Off switch is implemented and displaying info is fixed.

The main issue of the bug is not addressed, though. If there is no connection present for Mobile Broadband, then Options button is disabled.
The issue should be probably solved by applet that should create a connection when mobile network entry is clicked.

Comment 7 Jirka Klimes 2011-05-04 08:18:35 UTC
Created attachment 496724 [details]
network: fix On/Off switch, Options button and info for  Mobile Broadband

Comment 8 Jirka Klimes 2011-05-04 08:21:09 UTC
Created attachment 496725 [details]
network: fix displaying IP info to work also for static  and PPP configurations

This fixes displaying IPv4 stuff for static configurations (no DHCP) and also for Mobile Broadband.

Comment 9 Jirka Klimes 2011-05-04 10:57:11 UTC
*** Bug 698975 has been marked as a duplicate of this bug. ***

Comment 10 Oleg Andreych 2011-05-26 19:04:06 UTC
Have a same problem with Nokia 6120c

Comment 11 Clodoaldo Pinto Neto 2011-05-30 13:55:31 UTC
Although everything worked automatically, that is the mobile connection was created and clickable after the provider dialog, the open button still does not work so I could enter the DNS addresses. I did set it via nm-connection-editor

Comment 12 Gianluca Cecchi 2011-07-21 10:52:00 UTC
Hello, in my case the mobile broadband device is not recognized at all..

lsusb gives:
Bus 002 Device 006: ID 12d1:14c5 Huawei Technologies Co., Ltd. 

and the model is Vodafone Italy branded, Huawei model K4510

In messages I only have:
Jul 21 12:43:58 ope46 kernel: [16547.477255] usb 2-2: new high speed USB device using ehci_hcd and address 6
Jul 21 12:43:58 ope46 kernel: [16547.593683] usb 2-2: New USB device found, idVendor=12d1, idProduct=14c5
Jul 21 12:43:58 ope46 kernel: [16547.593693] usb 2-2: New USB device strings: Mfr=3, Product=2, SerialNumber=0
Jul 21 12:43:58 ope46 kernel: [16547.593701] usb 2-2: Product: Vodafone Mobile Broadband (Huawei) 
Jul 21 12:43:58 ope46 kernel: [16547.593707] usb 2-2: Manufacturer: Vodafone Group (Huawei) 
Jul 21 12:43:58 ope46 kernel: [16547.641512] scsi7 : usb-storage 2-2:1.0
Jul 21 12:43:58 ope46 kernel: [16547.641806] scsi8 : usb-storage 2-2:1.1
Jul 21 12:43:58 ope46 mtp-probe: checking bus 2, device 6: "/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2"
Jul 21 12:43:58 ope46 mtp-probe: bus: 2, device: 6 was not an MTP device
Jul 21 12:43:59 ope46 kernel: [16548.642297] scsi 7:0:0:0: CD-ROM            Vodafone CD ROM (Huawei)  2.31 PQ: 0 ANSI: 2
Jul 21 12:43:59 ope46 kernel: [16548.642787] scsi 8:0:0:0: Direct-Access     Vodafone Storage (Huawei) 2.31 PQ: 0 ANSI: 2
Jul 21 12:43:59 ope46 kernel: [16548.646295] sr1: scsi-1 drive
Jul 21 12:43:59 ope46 kernel: [16548.648785] sr 7:0:0:0: Attached scsi generic sg2 type 5
Jul 21 12:43:59 ope46 kernel: [16548.650423] sd 8:0:0:0: Attached scsi generic sg3 type 0
Jul 21 12:43:59 ope46 kernel: [16548.653172] sd 8:0:0:0: [sdb] Attached SCSI removable disk

In dmesg:
[16547.477255] usb 2-2: new high speed USB device using ehci_hcd and address 6
[16547.593683] usb 2-2: New USB device found, idVendor=12d1, idProduct=14c5
[16547.593693] usb 2-2: New USB device strings: Mfr=3, Product=2, SerialNumber=0
[16547.593701] usb 2-2: Product: Vodafone Mobile Broadband (Huawei) 
[16547.593707] usb 2-2: Manufacturer: Vodafone Group (Huawei) 
[16547.641512] scsi7 : usb-storage 2-2:1.0
[16547.641806] scsi8 : usb-storage 2-2:1.1
[16548.642297] scsi 7:0:0:0: CD-ROM            Vodafone CD ROM (Huawei)  2.31 PQ: 0 ANSI: 2
[16548.642787] scsi 8:0:0:0: Direct-Access     Vodafone Storage (Huawei) 2.31 PQ: 0 ANSI: 2
[16548.646295] sr1: scsi-1 drive
[16548.648383] sr 7:0:0:0: Attached scsi CD-ROM sr1
[16548.648785] sr 7:0:0:0: Attached scsi generic sg2 type 5
[16548.650423] sd 8:0:0:0: Attached scsi generic sg3 type 0
[16548.653172] sd 8:0:0:0: [sdb] Attached SCSI removable disk

I don't see anything about broadband in network settings taskbar and if I run 
nm-connection-editor I have to stop in the window when you choose the device, because no device seems to be detected...
I have at this time:
mobile-broadband-provider-info-1.20110218-1.fc15.noarch
ModemManager-0.4.998-1.git20110706.fc15.x86_64
kernel-2.6.38.8-35.fc15.x86_64

Do I have to file a different bug, or can I stick to this?

Comment 13 Felix Möller 2011-07-21 10:59:09 UTC
Gianluca that is a different bug. I would suggest filing it against usb_modeswitch. You should google and see if your device is allready supported by upstream.

Comment 14 Jirka Klimes 2011-07-22 13:06:51 UTC
Created attachment 514689 [details]
network: fix displaying IP info to work also for static  and PPP configurations

This fixes displaying IPv4 stuff for static configurations (no DHCP) and also
for Mobile Broadband.

[updated to apply cleanly on current master]

Comment 15 Jirka Klimes 2011-09-08 12:21:12 UTC
Patches (comment #7 and comment #14) committed upstream. See https://bugzilla.gnome.org/show_bug.cgi?id=657303

Comment 16 Pavel Šimerda (pavlix) 2012-03-19 08:08:47 UTC
This bugreport is pretty old, patches upstream, older Fedora release. Worth closing?

Comment 17 Fedora End Of Life 2012-08-07 20:19:33 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.